The open source tools in this repository are related to IBM Storage Scale. Below listed tools are for users to prepare the cluster before deploying IBM Storage Scale Erasure Code Edition (ECE). Unless stated otherwise, the tools compiled in this repository come with no warranty of any kind from IBM.

**ece_tuned_profile**

  Tuned profile for IBM Storage Scale Erasure Code Edition.
  
**ece_os_readiness**

  Assess the readiness of a server to determine if IBM Storage Scale Erasure Code Edition could be installed.
  
**ece_os_overview**

  Use the assessment results from ece_os_readiness to compare and summarize readiness of all servers for IBM Storage Scale Erasure Code Edition installation.
  
**ece_network_readiness**

  Assess network readiness across multiple servers to determine if IBM Storage Scale Erasure Code Edition could be installed on those servers. 
  
**ece_storage_readiness**

  Assess readiness of raw storage devices on a server using FIO benchmark to determine if any file system of IBM Storage Scale Erasure Code Edition could be built on those devices.
  
**ece_capacity_estimator**

  Estimate the effective file system capacity from raw storage devices powered by IBM Storage Scale RAID system.


Here are some links to other tools:
 - [IBM Spectrum Scale Bridge for Grafana](https://github.com/IBM/ibm-spectrum-scale-bridge-for-grafana)
 - [IBM Spectrum Scale cloud install](https://github.com/IBM/ibm-spectrum-scale-cloud-install)
 - [IBM Spectrum Scale Container Storage Interface (CSI)](https://github.com/IBM/ibm-spectrum-scale-csi)
 - [IBM Spectrum Scale install infra](https://github.com/IBM/ibm-spectrum-scale-install-infra)
 - [IBM Spectrum Scale Security Posture](https://github.com/IBM/IBM-Spectrum-Scale-Security-Posture)
 - [Oracle Cloud Infrastructure IBM Spectrum Scale terraform template](https://github.com/oracle-quickstart/oci-ibm-spectrum-scale)
 - [IBM Spectrum Scale Vagrant](https://github.com/IBM/SpectrumScaleVagrant)


***NOTE:*** Unless stated otherwise on the links, the tools are listed come with no warranty of any kind from IBM.

Other links:
 - [IBM Spectrum Scale on AWS marketplace](https://aws.amazon.com/marketplace/pp/IBM-IBM-Spectrum-Scale/B07DRLMG2W)
 - [IBM Storage Scale FAQ](https://www.ibm.com/docs/en/STXKQY/gpfsclustersfaq.html)
 - [Spectrum Scale User Group](https://www.spectrumscaleug.org/)
